Page MenuHome

EEVEE/Workbench: Broken hair system during F12-render
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-10-10.0.17134 64 Bits
Graphics card: GeForce RTX 2070/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 430.39

Blender Version
Broken: version: 2.80 (sub 74), branch: blender2.7, commit date: 2019-05-31 22:45, hash: rBcc600de6695a
Worked: On the April 27 build.

Short description of error
Eevee rendering with F12 using the Hair particle system. Instead of single hair strands it creates rectangles center on the middle of the object. Eevee viewport render looks fine and also Cycles.

Eevee Viewport:

Eevee F12 Render:

Exact steps for others to reproduce the error
See attach Blender file.

  1. Set the viewport mode to render. Notice single hair strands.
  2. Render using F12. Notice rectangle hair artifacts.

Event Timeline

Just to confirm the above and add the same result happens for workbench render.

System Information
Operating system: Windows 10 Pro
Graphics card: GTX 1080 Ti x2 [SLE] drivers 430.64 [latest]

Blender Version
Broken: blender-2.80.0-git.079c7f918c81-windows64
Worked: a week ago

Just chiming in to say I've encountered what I assume is the same bug. My specs:

System Information
Operating system: Windows-10-10.0.17134 64 Bits
Graphics card: GeForce GTX 1080/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 430.64

...and Blender versions where it's broken for me and where it works as expected:

Blender Version
Broken: version: 2.80 (sub 74), branch: blender2.7, commit date: 2019-06-04 00:52, hash: rBc13e10a7404d
Worked: version: 2.80 (sub 72), branch: blender2.7, commit date: 2019-05-28 21:07, hash: rB9bae9b634ec6

Seems to effect workbench as well.
Would assume that the draw cache for rendered strands adds an extra position that is set to 0, 0, 0

Jeroen Bakker (jbakker) renamed this task from EEVEE Broken hair particle system render to EEVEE/Workbench: Broken hair system during F12-render.Jun 7 2019, 9:13 AM

First bad commit is {77f5210f22332b3594fabe08bee5809fc8333dba}

Seems to be that GL_PRIMITIVE_RESTART is not be enabled when using the DRW_render_to_image path.

Jeroen Bakker (jbakker) lowered the priority of this task from 90 to High.Jun 7 2019, 11:07 AM
Jeroen Bakker (jbakker) changed the task status from Unknown Status to Resolved.Jun 7 2019, 2:22 PM
YAFU (YAFU) added a subscriber: YAFU (YAFU).EditedJun 7 2019, 4:25 PM

Hi.
Here a user reported a problem that is currently solved in the latest version of master that I have compiled:

https://blenderartists.org/t/blender-2-8-eevee-hair-discrepancy-between-viewport-and-render/

I am not sure that it is the same problem as reported here because Strand method is used here and in the problem of the forum is used Strip with Children. Commenting here just in case to know if you are aware that this or another commit could have fixed this problem as well.